<template>
  <div
    :class="task.active ? 'task-active' : 'task-done'"
    class="flex flex-row h-[75px] rounded-[10px] mb-4 items-center text-light-pink px-5 bg-black2 w-[435px]"
  >
    {{ (task as Task).name }}
    <div v-if="task.active" class="flex flex-row ml-auto">
      <span @click="handleTaskDone(task)">
        <img src="../assets/icons/check.svg" class="cursor-pointer" />
      </span>
      <span @click="handleRemoveTask(task)" class="cursor-pointer">
        <img src="../assets/icons/trash.svg" />
      </span>
    </div>
  </div>
</template>

<script setup lang="ts">
import { PropType, defineProps, defineEmits, computed } from "vue";
import { toast } from "vue3-toastify";
import Task from "../model/Task";

const props = defineProps({
  task: {
    type: Object as PropType<Task>,
    required: true,
  },
});

const emit = defineEmits(["completeTask", "deleteTask"]);

const handleTaskDone = (task: Task) => {
  emit("completeTask", task.id);
};

const handleRemoveTask = (task: Task) => {
  emit("deleteTask", task.id);
};
</script>

<style>
.task-done {
  text-decoration: line-through;
  color: #78CFB0 !important;
}
</style>
